// PolygonizationDialog.cpp :  
//

#include "stdafx.h"
#include "OctPOU.h"
#include "PolygonizationDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// PolygonizationDialog 


PolygonizationDialog::PolygonizationDialog(CWnd* pParent /*=NULL*/)
	: CDialog(PolygonizationDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(PolygonizationDialog)
	m_grid = 0.01f;
	m_error = 0.005f;
	m_level = 20;
	m_iso = 0.0f;
	m_x1 = 0.0f;
	m_x2 = 0.0f;
	m_y1 = 0.0f;
	m_y2 = 0.0f;
	m_z1 = 0.0f;
	m_z2 = 0.0f;
	//}}AFX_DATA_INIT
}


void PolygonizationDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(PolygonizationDialog)
	DDX_Text(pDX, IDC_EDIT1, m_grid);
	DDX_Text(pDX, IDC_EDIT2, m_error);
	DDX_Text(pDX, IDC_EDIT3, m_level);
	DDX_Text(pDX, IDC_EDIT4, m_iso);
	DDX_Text(pDX, IDC_X1, m_x1);
	DDX_Text(pDX, IDC_X2, m_x2);
	DDX_Text(pDX, IDC_Y1, m_y1);
	DDX_Text(pDX, IDC_Y2, m_y2);
	DDX_Text(pDX, IDC_Z1, m_z1);
	DDX_Text(pDX, IDC_Z2, m_z2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(PolygonizationDialog, CDialog)
	//{{AFX_MSG_MAP(PolygonizationDialog)
		//  - ClassWizard 
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// PolygonizationDialog  
