// FunctionDialog.cpp :  
//

#include "stdafx.h"
#include "OctPOU.h"
#include "FunctionDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// FunctionDialog 


FunctionDialog::FunctionDialog(CWnd* pParent /*=NULL*/)
	: CDialog(FunctionDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(FunctionDialog)
	m_support = 0.75f;
	m_box = 1.2f;
	m_corner = 0.7f;
	m_edge = 0.9f;
	m_lambda = 0.1f;
	m_nmin = 15;
	m_sharp = TRUE;
	//}}AFX_DATA_INIT
}


void FunctionDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(FunctionDialog)
	DDX_Text(pDX, IDC_EDIT1, m_support);
	DDX_Text(pDX, IDC_EDIT2, m_box);
	DDX_Text(pDX, IDC_CORNER, m_corner);
	DDX_Text(pDX, IDC_EDGE, m_edge);
	DDX_Text(pDX, IDC_LAMBDA, m_lambda);
	DDX_Text(pDX, IDC_NMIN, m_nmin);
	DDX_Check(pDX, IDC_SHARP, m_sharp);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(FunctionDialog, CDialog)
	//{{AFX_MSG_MAP(FunctionDialog)
		//  - ClassWizard 
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// FunctionDialog  
